language: php

php:
  - 5.3
  - 5.4
  - 5.5
  - 5.6
  - 7.0
  - hhvm

sudo: false

cache:
  directories:
    - $HOME/.composer/cache/files

env:
  - SYMFONY_VERSION=2.7.* SYMFONY_DEPRECATIONS_HELPER=weak

matrix:
  include:
    - php: 5.6
      env: SYMFONY_VERSION=2.3.* SYMFONY_DEPRECATIONS_HELPER=weak
    - php: 5.6
      env: SYMFONY_VERSION=2.8.*
    - php: 5.6
      env: SYMFONY_VERSION=3.0.*
    - php: 5.3
      env: SYMFONY_VERSION=2.3.* COMPOSER_FLAGS="--prefer-lowest"
  allow_failures:
    - env: SYMFONY_VERSION=2.8.*
    - env: SYMFONY_VERSION=3.0.*
  fast_finish: true

before_install:
  - if [[ "$TRAVIS_PHP_VERSION" != "hhvm" ]]; then echo "memory_limit = -1" >> ~/.phpenv/versions/$(phpenv version-name)/etc/conf.d/travis.ini; fi
  - composer self-update
  - composer require symfony/symfony:${SYMFONY_VERSION} --no-update

install: composer update $COMPOSER_FLAGS --prefer-dist

before_script: vendor/symfony-cmf/testing/bin/travis/phpcr_odm_doctrine_dbal.sh

script: phpunit --coverage-text

notifications:
  irc: "irc.freenode.org#symfony-cmf"
  email: "symfony-cmf-devs@googlegroups.com"
